## golang-github-vmihailenco-msgpack.v5 5.3.5

=== Makefile ===
test:
	go test ./...
	go test ./... -short -race
	go test ./... -run=NONE -bench=. -benchmem
	env GOOS=linux GOARCH=386 go test ./...
	go vet

=== debian/changelog ===
golang-github-vmihailenco-msgpack.v5 (5.3.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 08 Jan 2023 18:35:21 +0100

golang-github-vmihailenco-msgpack.v5 (5.3.5-1) experimental; urgency=medium

  * Initial release (Closes: #1026274)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 17 Dec 2022 18:43:41 +0100

=== debian/control ===
Source: golang-github-vmihailenco-msgpack.v5
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev,
               golang-github-vmihailenco-tagparser.v2-dev,
               golang-google-appengine-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-vmihailenco-msgpack.v5
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vmihailenco-msgpack.v5.git
Homepage: https://github.com/vmihailenco/msgpack
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/vmihailenco/msgpack/v5

Package: golang-github-vmihailenco-msgpack.v5-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-stretchr-testify-dev,
         golang-github-vmihailenco-tagparser.v2-dev,
         golang-google-appengine-dev,
         ${misc:Depends}
Description: MessagePack (msgpack.org) encoding for Golang (library)
 MessagePack encoding for Golang
 .
 Features
 .
  * Primitives, arrays, maps, structs, time.Time and interface{}.
  * Appengine \*datastore.Key and datastore.Cursor.
  * CustomEncoder/CustomDecoder interfaces for custom encoding.
  * Extensions to encode type information.
  * Renaming fields via msgpack:"my_field_name" and alias via
    msgpack:"alias:another_name".
  * Omitting individual empty fields via msgpack:",omitempty" tag or all
    empty fields in a struct.
  * Map keys sorting.
  * Encoding/decoding all structs as arrays or individual structs.
  * Encoder.SetCustomStructTag with Decoder.SetCustomStructTag
    can turn msgpack into drop-in replacement for any tag.
  * Simple but very fast and efficient queries.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/vmihailenco/msgpack/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-vmihailenco-msgpack.v5 5.4.1

=== debian/changelog ===
golang-github-vmihailenco-msgpack.v5 (5.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 04 Jan 2025 17:47:12 +0100
